Bug 735705 - Review Request: xs - Shell supporting functional programming
Summary: Review Request: xs - Shell supporting functional programming
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-05 04:51 UTC by Jens Petersen
Modified: 2011-09-30 19:12 UTC (History)
3 users (show)

Fixed In Version: xs-0.1-2.git9c19777.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-18 00:54:08 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jens Petersen 2011-09-05 04:51:46 UTC
Spec URL: http://petersen.fedorapeople.org/reviews/xs/xs.spec
SRPM URL: http://petersen.fedorapeople.org/reviews/xs/xs-0.1-1.git9c19777.fc15.src.rpm
Description:
Xs is a cleanly-designed shell with functional programming.
It is based off the source-code for the es project, which is public domain.

Comment 1 Jens Petersen 2011-09-05 04:52:19 UTC
Koji scratch build http://koji.fedoraproject.org/koji/taskinfo?taskID=3320740

Comment 2 Parag AN(पराग) 2011-09-05 05:38:45 UTC
Review:

+ source verified as 
9fcf9ca4f95802b8022e680155a37d195aa6578e  ../SOURCES/frytvm-XS-9c19777.tar.gz
9fcf9ca4f95802b8022e680155a37d195aa6578e   frytvm-XS-9c19777.tar.gz

+ rpmlint gave output as 
xs.src: E: description-line-too-long C It is based off the source-code for the es project, which was in the public domain.
xs.src: E: description-line-too-long C since es-0.9-beta1 are all parts of xs and have been written by Frederic Koehler.
==> Fix this before import

+ Packaging looks ok.

Suggestions:
1) following can preserve timestamp of man page
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

2) COPYING should be included as %doc

APPROVED.

Comment 3 Jens Petersen 2011-09-07 08:14:40 UTC
Thanks Parag for the quick review.

> xs.src: E: description-line-too-long C It is based off the source-code for the
> es project, which was in the public domain.
> ==> Fix this before import
:
> Suggestions:
> 1) following can preserve timestamp of man page
> make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

Sure, will add those.

> 2) COPYING should be included as %doc

Oops, thanks for spotting that.

Comment 4 Jens Petersen 2011-09-07 08:18:11 UTC
New Package SCM Request
=======================
Package Name: xs
Short Description: Shell supporting functional programming
Owners: petersen
Branches: f16 f15 f14 el6
InitialCC:

Comment 5 Gwyn Ciesla 2011-09-07 12:04:44 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-09-08 02:03:49 UTC
xs-0.1-2.git9c19777.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/xs-0.1-2.git9c19777.fc15

Comment 7 Fedora Update System 2011-09-08 02:03:56 UTC
xs-0.1-2.git9c19777.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/xs-0.1-2.git9c19777.fc14

Comment 8 Fedora Update System 2011-09-08 02:04:04 UTC
xs-0.1-2.git9c19777.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/xs-0.1-2.git9c19777.fc16

Comment 9 Fedora Update System 2011-09-08 02:04:11 UTC
xs-0.1-2.git9c19777.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/xs-0.1-2.git9c19777.el6

Comment 10 Fedora Update System 2011-09-08 06:56:36 UTC
xs-0.1-2.git9c19777.fc15 has been pushed to the Fedora 15 testing repository.

Comment 11 Fedora Update System 2011-09-18 00:54:03 UTC
xs-0.1-2.git9c19777.fc14 has been pushed to the Fedora 14 stable repository.

Comment 12 Fedora Update System 2011-09-18 00:59:19 UTC
xs-0.1-2.git9c19777.fc15 has been pushed to the Fedora 15 stable repository.

Comment 13 Fedora Update System 2011-09-27 18:28:51 UTC
xs-0.1-2.git9c19777.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2011-09-30 19:12:06 UTC
xs-0.1-2.git9c19777.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.